# Using Themes

## **Using the default theme**

social.plus UIKit uses the default theme as part of the design language.

## **Theme customization**

With no customization, UIKit already looks good. However, if you wish to customize the theme, you can declare changes to both colors and typography.

### Colors

UIKit uses a small set of declared colors to simplify the design task for developers. These colors are automatically rendered at appropriate shades to communicate states and interactions to the users.

<table data-header-hidden><thead><tr><th width="252.33333333333331">Color</th><th>Description</th><th>Default</th></tr></thead><tbody><tr><td>Color</td><td>Description</td><td>Default</td></tr><tr><td>Primary</td><td>Used for buttons and primary call to actions</td><td>#1054DE</td></tr><tr><td>Base</td><td>Primary font color for readability.</td><td>#000000</td></tr><tr><td>Base background</td><td>Light backdrop for posts or components.</td><td>#ebecef</td></tr><tr><td>BaseShade4</td><td>Soft background for feed; subtle for dividers.</td><td>#FFFFFF</td></tr></tbody></table>

#### **Usage**

To declare your own colors on iOS:

1. Create an instance from the provided class `social.plus Theme.`
2. Set the theme instance through **AmityUIKitManager.**

```dart

    AppColors appColors = AppColors(
        primary: primary,
        base: base,
        baseBackground: baseBackground,
        baseShade4: baseShade4);
    AmitySLEUIKit().configAmityThemeColor(context, (config) {
      config.appColors = appColors;
    });


```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/social-plus-uikit/uikit-3/flutter/theme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
